Bug 1057484 (CVE-2013-6485)

Summary: CVE-2013-6485 pidgin: Heap-based buffer overflow when parsing chunked HTTP responses
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, debarshir, jkurik, jrusnack, mbarnes, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140128,reported=20140122,source=upstream,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/pidgin=affected,rhel-6/pidgin=affected,rhel-7/pidgin=notaffected,fedora-all/pidgin=affected,cwe=CWE-190->CWE-122
Fixed In Version: pidgin 2.10.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-19 16:05:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1058238, 1058239, 1058240, 1058242, 1058243, 1059049    
Bug Blocks: 1054257    
Attachments:
Description Flags
Local copy of patch none

Description Huzaifa S. Sidhpurwala 2014-01-24 03:46:54 EST
A Heap-based buffer overflow was found in the way pidgin processed chunked HTTP responses. A malicious server or man-in-the-middle could send a large value for Content-Length and cause an integer overflow which could lead to a buffer overflow. This could cause pidgin to crash or possibly execute arbitary code with the permissions of the user running pidgin.


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Matt Jones of Volvent as the original reporter of this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:17:18 EST
Created attachment 855927 [details]
Local copy of patch
Comment 3 Vincent Danen 2014-01-28 15:49:19 EST
External References:

http://pidgin.im/news/security/?id=80
Comment 4 Huzaifa S. Sidhpurwala 2014-01-28 23:25:24 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 5 errata-xmlrpc 2014-02-05 12:44:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 6 Fedora Update System 2014-02-05 22:50:01 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-14 02:59:36 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.